# Tulip Web Chat ChangeLog

# Version 1

### 1.0.0

* Initial web widget
* Ability to pass client configurations to widget initalization
* Connects to Tulip LiveConnect

### 1.1.0

* Creation of Away Mode. See Readme for details.

### 1.2.0

* Exposing the `openChatWindow` method
* Exposing the `closeChatWindow` method
* Exposing the `removeChatWidget` method
* Exposing the `hideChatBubble` method
* Exposing the `showChatBubble` method
* Exposing the `isConversationActive` method

### 1.2.1

* Fix bug with Away Mode. The away message was being sent before the conversation was assigned to a store. This prevented the user from choosing their store and would never appear in LiveConnect.
* Code clean-up reducing duplicated code.

### 1.2.2

* Allowed for clients to specify Integration Order for 3rd party applications.

### 1.2.3

* Fixing the `hideChatBubble()` method to only close the chat window if it is already opened.

### 1.2.4

* Saving the chat window open / close state in the configured storage state. The key `tulip-web-chat-opened` will hold whether the last time this widget was opened or closed. To turn off this feature set `saveOpenState` to false in your configurations.
* Replaced `function()` with `() =>` for consistency in package.
* Replaced `Smooch.default` with `Smooch` for simplicity.

### 1.2.5

* Exposing the `setChatWindowStyle` method to set the chat window's style programmatically.

### 1.2.6

* Allowing a new custom color overwrite for the 'Contact Us' button.

### 1.2.7

* Made the `contactUsButtonUrl` optional. If not included, the text for `introductionText` will be used in its place.
* Simplified the logic around text overwriting and the 'Contact Us' button.

### 1.3.0

* Added translations for supported languages
* Added default strings to English strings to be translated later
* Added support for Localization class
* Moved all existing localization code from index.js to Localization class

### 1.3.1

* Fixed Embed Mode
* Allowed clients to pass CSS file to style widget and window
* Corrected documentation for text customization
* Remove hardcoded displayStyle allowing for configuration on Smooch
* Moved logic into pre and post initialization methods

### 1.3.2

* Added support for configurable chat bot on Tulip backend

### 1.3.3

* Fixing documentation about default Prechat Capture form
* Allowing for overwrites to the Prechat Capture form

### 1.3.4

* Standardizing the default prechat capture form configurations
* Adding unittest framework
* Adding unittests for localization class
* Adding unittests for helpers class

### 1.3.5

* Adding support for supported languages and fallback language
* Updated unit tests
* Modified index.js to not build values on load

### 1.3.6

* Whoops this was a mistake - nothing was actually published - thanks Co-Op ;)

### 1.3.7

* Fixed issue where overriding prechatCapture form fields was not working correctly

### 1.3.8

* New class based file structure
* Refactor + Improvements
* Sending Video Files
* Video within Widget
* Availability Check
* Improved unit tests

### 1.3.9

* Add missing translations

### 1.3.10

* ChatUser object created
* Adding Bypass Pre-Chat Capture

### 1.3.11

* Fixing broken availablility check

### 1.3.12

* Improvements on the embed function

### 1.3.13

* Adding E-Comm Page Reference to first message sent
* Adding tracking cookie requirement
* Adding useGeolocation config

### 1.3.14

* Update E-Comm Page Reference Docs

### 1.3.15 - 1.3.19

* Multiple bug fixes
* Addition of keyboard usage to open chat
* Improvements to chatUser

### 1.4.0

* Allowing isConversationActive to be run before init


### 1.4.1 - 1.4.4

* Add support for deleting messages in widget


### 1.4.5

* Screen reader bug fix
* Location shared button mesage updated


### 1.4.6

* Geolocation flag bug fix
