const path = require('path');
const UglifyJsPlugin = require('uglifyjs-webpack-plugin');

module.exports = (_, argv) => {
    const isDevelopment = argv.mode === 'development';

    return {
        entry: {
            "tuliplivechat": './src/index.js',
            "tuliplivechat.min": './src/index.js',
        },
        mode: isDevelopment ? 'development' : 'production',
        devServer: {
            port: 7001,
            historyApiFallback: {
                index: './test/index.html'
            },
            hot: true,
        },
        output: {
            path: path.resolve(__dirname, 'dist'),
            library: 'tuliplivechat',
            filename: '[name].js'
        },
        module: {
            rules: [
                {
                    test: /\.js$/,
                    loader: 'babel-loader',
                    exclude: /node_modules/
                }
            ]
        },
        plugins: [],
        optimization: {
            minimize: true,
            minimizer: [new UglifyJsPlugin({
                include: /\.min\.js$/
            })]
        },
    }
}